Subject: Workspace Preview slider does not scale properly 
Description

    1. Select a workspace to preview.
    2. Scale the window, notice the slider does not scale.

I am using Mozilla Firefox Web Browser ESR, Version 24 on openSuSE 13.1.

See the attached screenshot.

Related issues:
related to Core - Bug # 61374: Workspace Preview unusable due to size Closed 2014-09-05
related to Core - Bug # 44745: Slider split preview uses only part of the ava... New 2013-01-23

History
#1 - 2014-09-16 16:29 - Lorenz Ulrich

In my case the problem is that 'document.domain' in the iFrames is empty (not in the parent frame). This makes the browser fail.

In PreviewController->indexAction the "backendDomain" is evaluated like this:

$this->view->assign('backendDomain', GeneralUtility::getIndpEnv('TYPO3_HOST_ONLY'));

In TypoScriptFrontendControllerHook->hook_eofe it is done like this:

'backendDomain.' => array('value' => $GLOBALS['BE_USER']->getSessionData('workspaces.backend_domain'))

In my case, the backend_domain from the session data is empty. When I change it to

'backendDomain.' => array('value' => \TYPO3\CMS\Core\Utility\GeneralUtility::getIndpEnv('TYPO3_HOST_ONLY'))

it works. I don't understand why in the latter case sessionData is used and in the first case the environment variables.

#2 - 2014-09-22 17:06 - Oliver Hader
- Status changed from New to Accepted
- Parent task set to #60008

I agree, the visual components look "ugly" and do not respond to changed screen sizes..

#3 - 2014-09-22 17:59 - David Benjamin
- File WorkspaceError5.jpg added

I applied the patches in from issue #61699.  It fixed issue #61374 but not this one.

I have attached a screen shot.

#4 - 2015-01-23 11:33 - Mathias Schreiber
- Target version set to 7.5
